# POST /api/v1/oas/{appId}/mapping

**Map application OpenAPI specs**

Toggle includes an OpenAPI specification from a repository source with the specified application.

> Requires `write:scan_config` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.

## Request Body

### application/json

- `appId` (string) — The applicationId to map the oas specs
- `include` (boolean) — Whether the spec is now included or now excluded from the application mapping
- `oasId` (string) — UUID of the hosted OAS files
- `repositoryId` (string) — Repository UUID
- `sourceRootPath` (string) — Source code path in repository from the OAS

## Responses

### 200 — Get the OAS specs mapped to this application for use with HawkScan.

#### application/json

- `appId` (string) — The requested applicationId
- `assets` (open_api_spec.OASAsset[]) — OASAssets that have been mapped included to this application
  - `oasId` (string) — UUID of the hosted OAS files
  - `repositoryId` (string) — Repository UUID
  - `repositoryName` (string) — The name of the repository
  - `sourceRootPath` (string) — Source code path in repository the OAS was derived from
- `repoIds` (string[]) — repository IDs mapped to this application

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
